LoadProperties (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.LoadProperties class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class LoadProperties

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.LoadProperties

public final class LoadProperties
extends Task

Load a file's contents as Ant properties.

Since:
  Ant 1.5
Author:
  Magesh Umasankar

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`LoadProperties()`

Method Summary
`void` | `addFilterChain(FilterChain filter)` Adds a FilterChain.
`void` | `execute()` read in a source file's contents and load them up as Ant properties
`void` | `setSrcFile(java.io.File srcFile)` Sets the file to load.

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoadProperties

    public LoadProperties()

Method Detail

### setSrcFile

    public final void setSrcFile(java.io.File srcFile)

  Sets the file to load.

  Parameters:
    `srcFile` - The new SrcFile value

### execute

    public final void execute()
                       throws BuildException

  read in a source file's contents and load them up as Ant properties

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if something goes wrong with the build

### addFilterChain

    public final void addFilterChain(FilterChain filter)

  Adds a FilterChain.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.